set terminal tikz size 12cm,6cm
set output "htaccess-req-duration.tex"

#set title "real-world request duration"
#set yrange [0:20]
#set xlab "query \\\#"
#set ylab "request duration"
#set ytics format "\\SI{%.0f}{\\second}"
#plot "htaccess-req-duration.dat" using 1:2 smooth sbezier title "total request duration"

set title "real-world request duration"
set xrange [-1:10]
set xlab "seconds"
set ylab "amount of requests"
set xtics format "\\SI{%.0f}{\\second}"

binwidth=1
set boxwidth binwidth
bin(x,width)=width*floor(x/width) + binwidth/2

plot "htaccess-req-duration.dat" using (bin($2,binwidth)):(1.0) smooth freq with boxes title "total request duration"
