# cd ~/gocode/src/csdebug/evaluate_latency
# (queries-file mit shuf(1) erzeugt aus sample-queries.json)
# ./evaluate_latency -queries="/media/sdg/debian-source-mirror/sample-queries-half.json"
# R CMD BATCH latency.R
dat = read.csv("latency_first_regexp.csv", header=FALSE)
# ausreißer mit > 5000 results oder > 150ms latenz ausblenden
d2 = subset(subset(dat, V1 < 5000), V2 < (200 * 1000 * 1000))
require("ggplot2")

pdf("latency_first_regexp.pdf", width=6, height=4)
f <- function(x) x / 1000 / 1000
qplot(d2$V1, f(d2$V2), geom="point", ylab="trigram lookup latency [ms]", xlab="number of potential results", main="Trigram lookup latency") + theme_bw() + opts(plot.title = theme_text(size=15, vjust=1.5))
dev.off()

pdf("latency_first_regexp_hist.pdf", width=6, height=4)
hist(f(d2$V2), xlab="trigram lookup latency [ms]", main="Histogram of trigram lookup latency", xaxp = c(0, 100, 20), breaks=50, xlim=range(0, 100), ylim=range(0, 300))
dev.off()

dat = read.csv("latency_first_index.csv", header=FALSE)
# ausreißer mit > 5000 results oder > 150ms latenz ausblenden
d2 = subset(subset(dat, V1 < 5000), V2 < (200 * 1000 * 1000))
require("ggplot2")

pdf("latency_first_index.pdf", width=6, height=4)
f <- function(x) x / 1000 / 1000
qplot(d2$V1, f(d2$V2), geom="point", ylab="source matching latency [ms]", xlab="number of potential results", main="Source matching latency") + theme_bw() + opts(plot.title = theme_text(size=15, vjust=1.5))
dev.off()

pdf("latency_first_index_hist.pdf", width=6, height=4)
hist(f(d2$V2), xlab="source matching latency [ms]", main="Histogram of source matching latency", xaxp = c(0, 200, 20), breaks=50, ylim=range(0, 200))
#, xlim=range(0, 100), ylim=range(0, 300))
dev.off()
