set terminal tikz size 16cm,8cm
set output "postinglist-go-c-both.tex"
set multiplot layout 1,2 title "posting list decoding time (median of 100 iterations)"

# erzeugt mit:
# ~/gocode/src/csdebug/dump_posting_list/bench-dumping.pl
set title "large lists"
set ylab "decoding time"
set ytics format "\\SI{%.0f}{\\milli\\second}" font ",10"
set xlab "posting list length"
set xtics format "%.0fk" font ",10"
set key top left samplen 2 spacing 2
plot "posting-list-time.go.raw" using ($1 / 1000):($2 / 1000) smooth sbezier title "original go", \
     "posting-list-time.go-opt.raw" using ($1 / 1000):($2 / 1000) smooth sbezier title "opt. go", \
     "posting-list-time.gccgo-opt.raw" using ($1 / 1000):($2 / 1000) smooth sbezier title "opt. gccgo", \
     "posting-list-time.c.raw" using ($1 / 1000):($2 / 1000) smooth sbezier title "opt. C"

# erzeugt mit:
# ~/gocode/src/csdebug/dump_posting_list/bench-dumping.pl
set title "small lists"
set ylab "decoding time"
set ytics format "\\SI{%.0f}{\\micro\\second}" font ",10"
set xlab "posting list length"
set xtics format "%.0f" font ",10"
set key top left samplen 2 spacing 2
set yrange [8:13]
plot "posting-list-time-small.go.raw" using 1:2 smooth sbezier title "original go", \
     "posting-list-time-small.go-opt.raw" using 1:2 smooth sbezier title "opt. go", \
     "posting-list-time-small.gccgo-opt.raw" using 1:2 smooth sbezier title "opt. gccgo", \
     "posting-list-time-small.c.raw" using 1:2 smooth sbezier title "opt. C"

unset multiplot
